[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.DoAutoAdjustLayout

Applies a layout adjustment policy using the specified scaling factors.

## Declaration

Source position: comctrls.pp line 3576

`protected procedure TCustomTreeView.DoAutoAdjustLayout(`
`const AMode: TLayoutAdjustmentPolicy;`
`const AXProportion: Double;`
`const AYProportion: Double`
`); override;`

## Arguments

`AMode` |  | Layout adjustment policy applied in the method.
`AXProportion` |  | Horizontal scaling factor for the layout policy.
`AYProportion` |  | Vertical scaling factor for the layout policy.

## See also

TControl.DoAutoAdjustLayout |  | Applies layout changes using the specified policy and scaling proportions to the control.